# $Revision: 1.72 $, $Date: 2010/10/20 13:47:43 $
%define		realname	firefox
Summary:	Mozilla Firefox web browser
Summary(pl.UTF-8):	Mozilla Firefox - przeglądarka WWW
Name:		mozilla-firefox-bin
Version:	3.6.11
Release:	1
License:	MPL/LGPL
Group:		X11/Applications/Networking
Source0:	http://releases.mozilla.org/pub/mozilla.org/%{realname}/releases/%{version}/linux-i686/en-US/%{realname}-%{version}.tar.bz2
# Source0-md5:	49a59156ecca892a00b3a8016ff74eac
Source1:	%{name}.desktop
Source2:	%{name}.sh
Patch0:		%{name}-agent.patch
Patch1:		%{name}-ti-agent.patch
Patch2:		nochilds.patch
URL:		http://www.mozilla.org/projects/firefox/
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	zip
Requires:	browser-plugins >= 2.0
Requires:	myspell-common
Requires:	sqlite3 >= 3.6.22-2
Provides:	wwwbrowser
Obsoletes:	mozilla-firebird
Conflicts:	mozilla-firefox
ExclusiveArch:	i686 athlon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_libdir}/%{name}

%define		nss_caps	libfreebl3.so libnss3.so libnssckbi.so libsmime3.so ibsoftokn3.so libssl3.so libnssutil3.so libnssdbm3.so
%define		nspr_caps	libnspr4.so libplc4.so libplds4.so
%define		moz_caps	libgkgfx.so libgtkembedmoz.so libgtkxtbin.so libjsj.so libmozjs.so libnullplugin.so libxpcom_compat.so libxpcom_core.so libxpcom.so libxpistub.so libxul.so libsqlite3.so
%define		sqlite_caps	libsqlite3.so

# list of files (regexps) which don't generate Provides
%define		_noautoprovfiles	%{_libdir}/%{name}/components
# list of script capabilities (regexps) not to be used in Provides
%define		_noautoprov			%{moz_caps} %{nss_caps} %{nspr_caps}
%define		_noautoreq  		%{_noautoprov} %{sqlite_caps}

# no debuginfo available
%define		_enable_debug_packages	0

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

%description -l pl.UTF-8
Mozilla Firefox jest open sourcową przeglądarką sieci WWW, stworzoną z
myślą o zgodności ze standardami, wydajnością i przenośnością.

%prep
%setup -qcT
%{__tar} jxf %{SOURCE0} --strip-components=1
%if "%{pld_release}" == "th"
%patch0 -p0
%endif
%if "%{pld_release}" == "ti"
%patch1 -p0
%endif
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \

cp -a . $RPM_BUILD_ROOT%{_libdir}/%{name}
sed 's,@LIBDIR@,%{_libdir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/firefox-bin
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a icons/mozicon128.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

# use system dict
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries

# use system sqlite
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/libsqlite3.so
ln -s /%{_lib}/libsqlite3.so.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/libsqlite3.so

# never package these
# nss
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{freebl3,nss3,nssckbi,nssdbm3,nssutil3,smime3,softokn3,ssl3}.*
# nspr
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{nspr4,plc4,plds4}.so
# mozldap
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{ldap,ldif,prldap,ssldap}60.so

# remove update notifier, we prefer rpm packages for updating
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/updater
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/updater.ini
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/update.locale
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/Throbber-small.gif

# remove unecessary stuff
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/README.txt
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/LICENSE
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/components/components.list
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/removed-files
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/dependentlibs.list
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/.autoreg

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
exit 0

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/firefox-bin

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/application.ini
%{_libdir}/%{name}/blocklist.xml
%{_libdir}/%{name}/browserconfig.properties
%{_libdir}/%{name}/platform.ini
%attr(755,root,root) %{_libdir}/%{name}/firefox
%attr(755,root,root) %{_libdir}/%{name}/firefox-bin
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client
%attr(755,root,root) %{_libdir}/%{name}/plugin-container

%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/modules
%{_libdir}/%{name}/res
%{_libdir}/%{name}/searchplugins

%dir %{_libdir}/%{name}/extensions
# the signature of the default theme
%{_libdir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

%dir %{_libdir}/%{name}/components
%attr(755,root,root) %{_libdir}/%{name}/components/*.so
%{_libdir}/%{name}/components/*.js
%{_libdir}/%{name}/components/*.xpt

%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnullplugin.so
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/*.sh

# crashreporter
%attr(755,root,root) %{_libdir}/%{name}/crashreporter
%{_libdir}/%{name}/crashreporter-override.ini
%{_libdir}/%{name}/crashreporter.ini

%{_pixmapsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-bin.spec,v $
Revision 1.72  2010/10/20 13:47:43  shadzik
- frajerfox 3.6.11 z poprawkami bezpieczenstwa

Revision 1.71  2010/09/16 12:40:24  shadzik
- rel 2

Revision 1.70  2010/09/16 11:23:28  shadzik
- 3.6.10

Revision 1.69  2010/09/08 09:37:45  shadzik
- 3.6.9

Revision 1.68  2010/08/18 08:38:46  glen
- package crashreporter, drop updater, reorganize files section
- rel 2

Revision 1.67  2010/08/18 08:12:38  glen
- package initial blocklist.xml
- see: http://kb.mozillazine.org/Blocklist.xml

Revision 1.66  2010/08/18 07:53:22  glen
- patch unconditionally

Revision 1.65  2010/08/18 07:47:18  glen
- package plugin-container. should stabilize crashes due flash plugin
  http://support.mozilla.com/en-US/kb/What+is+plugin-container

Revision 1.64  2010/08/18 07:42:05  glen
- avoid shell childs when running in non-debug mode

Revision 1.63  2010/08/18 07:22:15  glen
- drop pkill, its too evil this way (kills all processes from system which match proc name), like:
  13875 pts/3 T 0:00 vim /usr/lib/mozilla-firefox-bin/run-mozilla.sh
  if you want to do it normally process lockfile in profile used profile.

Revision 1.62  2010/08/18 07:10:03  glen
- package default theme, now themes tab visible in addons

Revision 1.61  2010/08/18 07:07:51  glen
- use system sqlite and dictionaries

Revision 1.60  2010/08/18 06:54:47  glen
- cleanups, do not package nss/nspr .chk files

Revision 1.59  2010/07/24 11:28:12  shadzik
- 3.6.8

Revision 1.58  2010/06/27 20:04:41  shadzik
- rel 2

Revision 1.57  2010/06/27 17:13:22  shadzik
- 3.6.6

Revision 1.56  2010/04/09 19:28:06  shadzik
- rel 6

Revision 1.55  2010/04/07 18:35:32  glen
- fix bits for nullplugin; disable debug package

Revision 1.54  2010/04/07 18:27:50  glen
- add browser plugins integration

Revision 1.53  2010/04/04 19:57:31  shadzik
- add agent patches
- rel 5

Revision 1.52  2010/04/04 03:35:18  shadzik
- R: procps

Revision 1.51  2010/04/04 03:34:20  shadzik
- rel 3

Revision 1.50  2010/04/04 03:14:00  shadzik
- don't conflict with iceweasel (parrallel installation is now possible)
- rel 2

Revision 1.49  2010/04/04 02:48:45  shadzik
- 3.6.3
- fixes CVE-2010-1121

Revision 1.48  2010/03/23 08:58:17  shadzik
- 3.6.2

Revision 1.47  2010/01/30 16:18:37  glen
- add extensions dir

Revision 1.46  2010/01/22 16:36:57  vip
- up to 3.6

Revision 1.45  2009/12/10 05:50:57  glen
- up to 3.5.5, updated cap prov lists

Revision 1.44  2009/10/28 06:22:50  adamg
- updated to 3.5.4

Revision 1.43  2009/10/07 22:17:46  shadzik
- 3.5.3

Revision 1.42  2009/08/03 22:39:33  adamg
- updated to 3.5.2 ( fixes CVE-2009-2467, CVE-2009-2477, CVE-2009-2470 )

Revision 1.41  2009/06/30 16:22:25  vip
- up to 3.5

Revision 1.40  2009/03/24 14:42:37  paszczus
- added icon

Revision 1.39  2009/03/24 12:22:36  paszczus
- package platform.ini too; now it works

Revision 1.38  2009/03/24 12:11:36  paszczus
- oops, removed .autoreg file

Revision 1.37  2009/03/24 12:08:25  paszczus
- added config(?) files

Revision 1.36  2009/03/24 12:02:01  paszczus
- updated to STABLE 3.0.7

Revision 1.35  2008/11/13 12:58:00  paszczus
- updated to 2.0.0.18, fixes CVE-2008-4582, CVE-2008-5015, CVE-2008-5016, CVE-2008-5017, CVE-2008-5019, CVE-2008-0017, CVE-2008-5021, CVE-2008-5022, CVE-2008-5023, CVE-2008-5024

Revision 1.34  2008/10/18 18:36:24  mmazur
- 2.0.0.17 + fixed startup script

Revision 1.33  2008/07/17 22:40:17  shadzik
- 2.0.0.16

Revision 1.32  2008/05/08 23:10:05  shadzik
- 2.0.0.14

Revision 1.31  2008-03-14 16:30:53  blekot
- up to 2.0.0.12

Revision 1.30  2007-11-27 11:46:09  shadzik
- add CVE references to previous commitlog

Revision 1.29  2007-11-27 10:29:18  shadzik
- 2.0.0.10
- resolves CVE-2007-5960,  CVE-2007-5959,  CVE-2007-5947

Revision 1.28  2007/11/02 09:09:43  shadzik
- 2.0.0.9

Revision 1.27  2007/10/28 00:09:57  glen
- no need to _noautoreqdep sonames already eliminated by _noautoreq

Revision 1.26  2007/10/27 23:50:20  glen
- update so caps rel 1

Revision 1.25  2007/10/27 23:33:08  glen
- 2.0.0.8

Revision 1.24  2007/10/27 23:25:01  glen
- cleanup, cosmetics

Revision 1.23  2007/09/19 10:01:18  shadzik
- 2.0.0.7

Revision 1.22  2007/05/31 15:24:54  shadzik
- 2.0.0.4

Revision 1.21  2007/03/21 16:22:08  shadzik
- 2.0.0.3

Revision 1.20  2007/02/26 14:53:25  shadzik
- 2.0.0.2

Revision 1.19  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.17  2006/12/20 21:08:16  mguevara
- 2.0.0.1-1 release

Revision 1.16  2006/12/02 15:09:30  jasw
- use mozilla-firefox-bin.spec as script start

Revision 1.15  2006/11/22 17:09:18  glen
- use english binary; rel 2

Revision 1.14  2006/11/18 15:34:26  glen
- add libxpcom_core.so to _noautoreqdep

Revision 1.13  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.12  2006/11/06 23:29:47  glen
- postun dropped (should use %ghost and %dir instead)

Revision 1.11  2006/11/06 23:27:27  glen
- nothing to ldconfig
- package libfreebl3.chk (signed? signature?) of libfreebl3.so

Revision 1.10  2006/11/06 23:25:03  glen
- comment _noauto*
- don't resolve nss/nspr libs to pkg name (append to _noautoreqdep)

Revision 1.9  2006/11/06 18:31:43  qboosh
- no reason to require heimdal client apps

Revision 1.8  2006/11/06 17:09:36  shadzik
- add whole dir

Revision 1.7  2006/11/06 17:06:28  shadzik
- add _noautoreq
- kill duplicate files

Revision 1.6  2006/11/01 15:07:46  shadzik
- change EA

Revision 1.5  2006/10/30 22:50:32  shadzik
- ExclusiveArch: %{ix86}

Revision 1.4  2006/10/30 22:48:25  shadzik
- remove Rs (some of them are included in package, others are autodetected) - thx qboosh

Revision 1.3  2006/10/30 18:20:34  shadzik
- chabge BRs; more Rs

Revision 1.2  2006/10/30 18:13:58  shadzik
- remove unneeded BRs

Revision 1.1  2006/10/30 17:24:42  shadzik
- first draft
